import request from '@/utils/request'

// 查询充值管理列表
export function listCompanyRecharge(query) {
  return request({
    url: '/his/companyRecharge/list',
    method: 'get',
    params: query
  })
}

// 查询充值管理详细
export function getCompanyRecharge(rechargeId) {
  return request({
    url: '/his/companyRecharge/' + rechargeId,
    method: 'get'
  })
}

// 新增充值管理
export function addCompanyRecharge(data) {
  return request({
    url: '/his/companyRecharge',
    method: 'post',
    data: data
  })
}

// 修改充值管理
export function updateCompanyRecharge(data) {
  return request({
    url: '/his/companyRecharge',
    method: 'put',
    data: data
  })
}

// 删除充值管理
export function delCompanyRecharge(rechargeId) {
  return request({
    url: '/his/companyRecharge/' + rechargeId,
    method: 'delete'
  })
}

// 导出充值管理
export function exportCompanyRecharge(query) {
  return request({
    url: '/his/companyRecharge/export',
    method: 'get',
    params: query
  })
}